<?php

namespace Drupal\xray_audit\Services;

/**
 * Retrieve data from entity about display modes.
 */
interface DisplayModesEntityArchitectureInterface {

  /**
   * Get data about Display Modes.
   *
   * @param string $entity_type
   *   Entity type name. For example, node_type.
   * @param string $entity
   *   Entity name. For example, node.
   *
   * @return array
   *   Data in an array.
   *    ['computed' => 'field_computed 1, field_computed_2',
   *     'header_table' => ['Entity', 'Fields'],
   *     'results_table' => []
   */
  public function getData(string $entity_type, string $entity);

}
